Subject: Re: [PATCH net-next v4 3/3] gve: implement PTP gettimex64

From: Jakub Kicinski <[email-masked]>
Date: Tue, 28 Apr 2026 16:22:53 -0700

On Tue, 28 Apr 2026 08:49:31 -0700 Jordan Rhee wrote:
> > > +static int gve_cycles_to_clock_fn(ktime_t *device_time,
> > > +                               struct system_counterval_t *system_counterval,
> > > +                               void *ctx)  
> >
> > Does this do anything GVE specific??  
> 
> No, however, I would caution against adding an API to the kernel to
> convert TSC to ktime since this could invite further abuses of TSC.

I don't understand. You caution against doing something you're about 
to do? In case I didn't ask for it already - please make sure you CC
time keeping maintainers on v5.